Bug 1287683 - Missing custom facts screen while discovering a pxe-less host with dhcp
Missing custom facts screen while discovering a pxe-less host with dhcp
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 08:55 EST by Sachin Ghai
Modified: 2017-02-23 14:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:13:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2015-12-02 08:55:20 EST
Description of problem:
While performing a pxe-less discovery with dhcp, I directly get the discovery status screen after foreman credentials screen. This means that we are missing custom facts screen.

This is the case when we are trying pxe-less discovery with dhcp

Version-Release number of selected component (if applicable):
Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
discovery image: foreman-discovery-image-3.0.5-2.iso

How reproducible:
always

Steps to Reproduce:
1. discover a pxe-less host with dhcp 
2.
3.

Actual results:
Missing custom facts screen while discovering a pxe-less host with dhcp

Expected results:
custom facts screen should be there.

Additional info:
Comment 3 Sachin Ghai 2015-12-07 03:48:52 EST
Verified with Sat 6.1.5 compose3(Satellite-6.1.0-RHEL-7-20151204.0)

rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el6_6sat.noarch
rubygem-smart_proxy_discovery-1.0.3-2.el6.noarch
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el6_6sat.noarch
foreman-discovery-image-3.0.5-3.el7sat.noarch


I can see custom facts screen while discovering a pxe-less host with dhcp. Also, given facts are visible on webUI. thanks for fix.
Comment 4 Bryan Kearney 2015-12-15 08:13:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.